TransientTopicSubscription (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.boundedvm.TransientTopicSubscription class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.boundedvm
Class TransientTopicSubscription

    java.lang.Object
      org.codehaus.activemq.service.boundedvm.TransientSubscription
          org.codehaus.activemq.service.boundedvm.TransientTopicSubscription

public class TransientTopicSubscription
extends TransientSubscription

A holder for Transient Topic consumer info and message routing

Version:
  $Revision: 1.2 $

Field Summary

Fields inherited from class org.codehaus.activemq.service.boundedvm.TransientSubscription
`consumerInfo, filter`

Constructor Summary
`TransientTopicSubscription(Filter filter, ConsumerInfo info)` Construct the TransientTopicSubscription

Method Summary
`boolean` | `isTarget(ActiveMQMessage message)` determines if the Subscription is interested in the message

Methods inherited from class org.codehaus.activemq.service.boundedvm.TransientSubscription
`close, getConsumerInfo, getFilter, setConsumerInfo, setFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransientTopicSubscription

    public TransientTopicSubscription(Filter filter,
                                      ConsumerInfo info)

  Construct the TransientTopicSubscription

Parameters:
  `filter` -
  `info` -

Method Detail

### isTarget

    public boolean isTarget(ActiveMQMessage message)
                     throws JMSException

  determines if the Subscription is interested in the message

  Specified by:
    `isTarget` in class `TransientSubscription`
  Parameters:
    `message` -
  Returns:
    true if this Subscription will accept the message
  Throws:
    `JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.